Bug 853930 - It is failed to start guest when the number of vcpu is different between <vcpu> and <cputune/>
It is failed to start guest when the number of vcpu is different between <vcp...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 06:47 EDT by hongming
Modified: 2013-02-21 02:23 EST (History)
7 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-0rc1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:23:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description hongming 2012-09-03 06:47:23 EDT
Description of problem:
It is failed to start guest when the number of vcpu is different between <vcpu> and <cputune/>

Version-Release number of selected component (if applicable):
libvirt-0.10.1-1.el6.x86_64
qemu-kvm-0.12.1.2-2.305.el6.x86_64


How reproducible:
100% 

Steps to Reproduce:
1.# virsh list --all
 Id    Name                           State
----------------------------------------------------
 18    rhel6.2                        running 

2. # virsh dumpxml rhel6.2
<domain type='kvm' id='27'>

  <vcpu placement='auto'>2</vcpu>
 
...
</domain>

3.# virsh vcpupin rhel6.2 0 0 --config 


4.# virsh destroy rhel6.2
Domain rhel6.2 destroyed

5.# virsh start rhel6.2
error: Failed to start domain rhel6.2
error: An error occurred, but the cause is unknown


6. # virsh dumpxml rhel6.2
<domain type='kvm' id='30'>
 
  <vcpu placement='auto'>2</vcpu>
  <cputune>
    <vcpupin vcpu='0' cpuset='0'/>
  </cputune>

7.Check the log.
5442 2012-09-03 09:02:57.626+0000: 11144: debug : virCgroupRemoveRecursively:727 : Removing cgroup /cgroup/blkio/libvirt/qemu/rhel6.2/
5443 2012-09-03 09:02:57.626+0000: 11144: error : virCgroupRemoveRecursively:730 : Unable to remove /cgroup/blkio/libvirt/qemu/rhel6.2/      (16)
5444 2012-09-03 09:02:57.626+0000: 11144: debug : virFileClose:72 : Closed fd 22
5445 2012-09-03 09:02:57.626+0000: 11144: debug : qemuProcessStop:4036 : Shutting down VM 'rhel6.2' pid=15145 flags=0
5446 2012-09-03 09:02:57.626+0000: 11144: debug : virFileClose:72 : Closed fd 22
5447 2012-09-03 09:02:57.626+0000: 11144: debug : qemuMonitorClose:788 : QEMU_MONITOR_CLOSE: mon=0x7f1134007460 refs=2
5448 2012-09-03 09:02:57.626+0000: 11144: debug : virEventPollRemoveHandle:175 : EVENT_POLL_REMOVE_HANDLE: watch=112
5449 2012-09-03 09:02:57.626+0000: 11144: debug : virEventPollRemoveHandle:188 : mark delete 8 24
5450 2012-09-03 09:02:57.626+0000: 11144: debug : virEventPollInterruptLocked:701 : Interrupting
5451 2012-09-03 09:02:57.626+0000: 11144: debug : virFileClose:72 : Closed fd 24
5452 2012-09-03 09:02:57.626+0000: 11144: debug : virObjectUnref:135 : OBJECT_UNREF: obj=0x7f1134007460
5453 2012-09-03 09:02:57.626+0000: 11144: debug : qemuProcessKill:3934 : vm=rhel6.2 pid=15145 flags=5  

  
Actual results:
It is failed to start guest when the number of vcpu is different between <vcpu> and <cputune/>

Expected results:
Successfully start it.

Additional info:
Comment 4 Martin Kletzander 2012-09-05 13:27:21 EDT
Moving to POST:

commit 9f86fb932654d2e89db302fbd0f36288daed2cda
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Tue Sep 4 15:26:46 2012 +0200

    qemu: don't pin all the cpus
Comment 6 hongming 2012-09-19 02:25:14 EDT
Verify it using the following versions. The result is expected . Move its status to VERIFIED.

libvirt-0.10.2-0rc1.el6.x86_64
qemu-kvm-0.12.1.2-2.307.el6.x86_64


1. # virsh dumpxml rhel6.2
<domain type='kvm' id='27'>

  <vcpu placement='auto'>2</vcpu>
 
...
</domain>

2.# virsh vcpupin rhel6.2 0 0 --config 


3.# virsh destroy rhel6.2
Domain rhel6.2 destroyed

4.# virsh start rhel6.2
Domain rhel6.2 started

5.# virsh dumpxml rhel6.2
<domain type='kvm' id='74'>
 .....
  <vcpu placement='auto'>2</vcpu>
  <cputune>
    <vcpupin vcpu='0' cpuset='0'/>
  </cputune>
......
</domain>
Comment 7 errata-xmlrpc 2013-02-21 02:23:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.